//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "util.h"

#include <sstream>
#include <cmath>

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

using std::wstring;
using std::string;

wstring wtimeStr(time_t t)
{
    wstring str;
    //    time_t t = time(NULL);
    struct tm *tm;
    tm = localtime(&t);
    wchar_t tmp[200];
    //    strftime(tmp, sizeof(tmp), "%a, %d %b %Y %H:%M:%S %z", tm); // RFC-822
    wcsftime(tmp, sizeof(tmp), L"%d %b %Y %H:%M:%S", tm);
    str = tmp;
    return str;
}

string timeStr(time_t t)
{
    string str;
    struct tm *tm;
    tm = localtime(&t);
    char tmp[200];
    //    strftime(tmp, sizeof(tmp), "%a, %d %b %Y %H:%M:%S %z", tm); // RFC-822
    strftime(tmp, sizeof(tmp), "%d %b %Y %H:%M:%S", tm);
    str = tmp;
    return str;
}

int wstring_to_int(const std::wstring &s)
{
    std::wistringstream i(s);
    int x;
    if (!(i >> x))
        return 0;
    return x;
}

double wstring_to_double(const std::wstring &s)
{
    std::wistringstream i(s);
    double x;
    if (!(i >> x))
        return 0;
    return x;
}

time_t getFileMtime(const string &fileName)
{
    struct stat st;
    if (0 == stat(fileName.c_str(), &st)) {
        time_t mtime = st.st_mtime;
        return mtime;
    } else {
        return 0;
    }
}

double sumDb(double a, double b)
{
    return 20*log(exp(a/20) + exp(b/20));
}

double toDb(double x)
{
    return 20 * log(x) / log(10);
}

double fromDb(double db)
{
    return exp (db / 20. * log (10));
}
