//
//    Beam Position Monitor
//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef BEAMSETUP_H
#define BEAMSETUP_H

// proton mass0
const double p_W0 = 938.27231e6;
// deuteron mass0
const double d_W0 = 1875.6280e6;

class BeamSetup {
public:
    BeamSetup();
    double b2freq(double B) const;
    double freq2R(double B, double f) const;
    double freq2deltaR(double B, double f) const;
    int kf;
    double W0;
    double rho;
    double circumference;
};

#endif /* BEAMSETUP_H */
