//
//    Beam Position Monitor
//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "bpmboxproperties.h"
#include "devicelabels.h"

BpmBoxProperties::BpmBoxProperties()
{
}

QString BpmBoxProperties::channelName(size_t n)
{
    if (n==0) return "R\u03a3";
    if (n==1) return "R\u0394";
    if (n==2) return "Z\u03a3";
    if (n==3) return "Z\u0394";
    return "?";
}

//QString BpmBoxProperties::boxName(int id)
//{
//    //    return QString("%1 (%2)").arg(deviceLabel(id)).arg(id, 0, 16, QChar('0'));
//    return deviceLabel(id);
//}

QString BpmBoxProperties::boxPlacement(const QString &label)
{
    return devicePlacement(label);
}

QString BpmBoxProperties::boxPlacement(int id)
{
    return devicePlacement(deviceLabel(id));
}

int BpmBoxProperties::getChannelIndex(int id, int c)
{
    return id*8 + c*2; // for color graphs
}

double BpmBoxProperties::timerFreq()
{
    return 0.5e8;
}

double BpmBoxProperties::timestampFreq()
{
    return 1e8;
}

double BpmBoxProperties::sampleFreq()
{
    return 1e8;
}

