//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef BPMCONST_H
#define BPMCONST_H

const double positionShift = 4.033+4.135+3.657; // 3 periods: pickup position relative to period 1 position
const double pickupSize[2] = {66., 33.}; // set R, Z pickup size here
const double signalLevelNoiseThreshold  = -100;
const double signalLevelStrongThreshold = -60;
const double signalLevelWeakThreshold   = -75;
const double powerDbMaxMismatch = 12;
const double minSignalToBackgroundRatioDb = 12.0; // set to 12 dB for reliability, 6 db for extreme low signals
const double signalLevelAbsoluteMinimumDb = -115; // level shift for values in decibels
const double signalLevelOverBackgroundThresholdDb = minSignalToBackgroundRatioDb; // minimum signal level above background
const bool x_is_metres = true;
const double orbitLength = 251.52;
const int fileStatPeriodUs = 200000; // 0.2s
const int MaxSampleCount = 511*1024;

#endif // BPMCONST_H
