//
//    Beam Position Monitor
//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef TIMEDOMAINDATA_H
#define TIMEDOMAINDATA_H

#include <QVector>

class TimeDomainData {
public:
    TimeDomainData(): t0(0), samplingFreq(1) {}
    TimeDomainData(const QVector<double> &_v, double _t0 = 0, double _samplingFreq = 1): v(_v), t0(_t0), samplingFreq(_samplingFreq) {}
    size_t size() const { return v.size(); }
    double operator[](size_t n) const { return v[n]; }
    void print() const;
    QVector<double> v;
    double t0;
    double samplingFreq;
};

class QDebug;
QDebug &operator<<(QDebug &stream, const TimeDomainData &r);

#endif // TIMEDOMAINDATA_H
