//
//    Beam Position Monitor
//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef APPSETTINGS_H
#define APPSETTINGS_H

#include <QVector>
#include <QString>
#include <QMap>
#include <QVariant>

class AppSettings: public QMap<QString, QVariant> {
public:
    AppSettings &merge(const AppSettings &);
    AppSettings getWithPrefix(const QString &prefix) const;
    void setWithPrefix(const QString &prefix, const AppSettings &selection);
    static void print(const AppSettings &r, const QString &title=QString());
    void print(const QString &title=QString()) const;
    QVector<double> getVectorOfDoubles(const QString &key) const;
    void setVectorOfDoubles(const QString &key, const QVector<double> &v);
    void setValue(const QString &key, const QVariant &v); //!< compatibility with QSettings
};

#endif /* APPSETTINGS_H */
